Subject: bug#14206: 24.3.50; doc string of `execute-kbd-macro'

From: Andreas Schwab <[email-masked]>
Date: Fri, 29 Apr 2016 21:23:17 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> True.  So perhaps just a usage note?  "This is useful for keyboard
> macros stored as function definitions" or something?  Because as it is
> now, the natural interpretation is that it's generally useful for
> functions.  And it isn't.

The whole point of the function is to execute a kbd macro, which can
also be stored in the function slot of a symbol.  That's all what the
doc string says.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."